Subject: Re: [bug#28045] [PATCH] gnu: Add openfoam

From: [email-masked] (Ludovic Courtès)
Date: Mon, 11 Sep 2017 13:39:16 +0200

Hi Paul,

Paul Garlick <[email-masked]> skribis:

> I think it is helpful to consider this question in two ways; thinking about the short term and the longer term. I think in the short term it is best to stick with the OpenFOAM-standard layout, modified in the 'middle-road' way suggested
> earlier. On top of the previous points made, there is an additional advantage to this approach in that the OpenFOAM-standard layout has been thoroughly tested in production use over many years.
>
> In the longer term I think it would be possible to develop a Guix-standard layout. I cannot see any reason why this would not work. However, with a large system such as OpenFOAM, this may not necessarily be an easy task. I see this
> as principally an upstream job, since they are the most knowledgeable people on the current layout and are best placed to deal with any subleties involved. With a working Guix package in place it will be a good time to contact
> upstream and discuss the merits of a new layout.

I agree.  So for now, I’d say go with the bin/ symlink, and then start a
discussion with upstream to see how to improve things in the future.

> Today I hope to finish the package definition. I have placed the tree under the 'lib' directory and this allows the 'validate-runpath' phase to run. The phase currently fails as ld-wrapper does not add the runpaths of the shared objects in
> the build tree. I plan to use patchelf to fix this.

I would refrain from using PatchELF, if possible, by just passing
-Wl,-rpath=DIR at link time, where DIR is the final library directory.

Ludo’.